Subject: Re: "Using Cygwin Effectively with Windows" -- Draft of new User' s Guide section
From: Joshua Daniel Franklin <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 31 Jul 2003 10:44:19 -0500

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Joshua Daniel Franklin
> Sent: Wednesday, July 30, 2003 1:18 PM
> To: [email-masked]
> Subject: "Using Cygwin Effectively with Windows" -- Draft of new User's
> Guide section
> 
> 
> I've thrown together a prospective "Using Cygwin Effectively with
> Windows" 
> section for the User's Guide. 
> 
> If you'd like to look at it as a web page:
> <http://iocc.com/~joshua/tmp/using-effectively.html>
> 
> I'm going to be leaving this broadband connection in under 48 hours, so
> I'll probably put this into CVS tomorrow (with any corrections) 
> unless there is a horrendous outcry against it. Then I'll be in and 
> out of contact for probably a(nother) couple of weeks while I move. 
> 
> Some things:
> --Q: Does anyone know of a page that lists command line configuration
> utilities included with Windows 95/98/ME vs. Windows NT4/2000/XP?
> 
> --FYI: There are links to outside sites like download.com, Hummingbird's
> free-beer SOCKS proxy, etc.
> 
> --Documentation of printing is sparse since I don't really do it much.
> Does anyone have extensive documentation of their complex setup?
> 
> --There's basically nothing on Java except a sample about translating
> the CLASSPATH to DOS format. I'm not sure what else to put in. There are
> no Cygwin-native java compilers, right? 
> 
> Thanks.
> Joshua Daniel Franklin

> -----Original Message-----
> From: Lisbeth Kellogg [mailto:[email-masked]]
> 
> I would suggest adding a section on the PATH environment and its use
> when invoking bash from DOS.
> 
On Thu, Jul 31, 2003 at 10:37:04AM +0200, Peter Ring wrote:
> I'd suggest adding a warning about potential name clashes between common
> Windows and GNU utilities, e.g. 'sort' and 'find'.
> 
> I've yet to find a completely safe and general way to avoid picking up
> /WINNT/system32/sort.exe rather than /usr/bin/sort, short of always
> asserting than /usr/bin is before /WINNT/system32/ (or wherever sort.exe
> would be) before invoking sort.
> 
> Even though you'd never ever need the DOS legacy sort.exe or find.exe, you
> can't just remove /WINNT/system32/sort.exe; on Win2K and WinXP; it will be
> resurrected within seconds by the system. So I've acquired a habit of 
> 
>   chmod -x /WINNT/system32/find.exe
>   chmod -x /WINNT/system32/sort.exe

OK. This make sense now. Also I read about Lisbeth's issues with shell
scripts. I believe this is one reason recommended best practice is to
specify the full path to binaries in scripts (/usr/bin/sort). I added
a sentence to the end of the introduction:

--BEGIN
A few Windows tools, such as find.exe and sort.exe, can conflict with the 
Cygwin versions; make sure that you use the full path (/usr/bin/find) or 
that your Cygwin bin directory comes first in your PATH.
--END

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/